Apps
Detach a custom domain from an app
DELETE /v1/apps/{appId}/domains/{domainId} · SDK detachAppDomain · CLI deployments app-domain detach
DELETE
Requires apps:publish; admits human and service-account callers.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
appId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$domainId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512AppDomainResponse
application/json- response
appId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$attachedBy*createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timednsRecords*array<>hostname*stringid*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$state*||updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X DELETE "https://example.com/v1/apps/string/domains/string" \ -H "x-deployments-environment: string" \ -H "idempotency-key: string"{ "appId": "string", "attachedBy": { "id": "string", "principal": "human" }, "createdAt": "2019-08-24T14:15:22Z", "dnsRecords": [ { "name": "string", "note": "string", "type": "CNAME", "value": "string" } ], "hostname": "string", "id": "string", "state": { "kind": "unverified" }, "updatedAt": "2019-08-24T14:15:22Z"}